# Retrieve a device by externalDeviceId Retrieves a single device of the associated carrier of the authenticated account, based on the externalDeviceId Endpoint: GET /external-system/{externalSystemId}/external-device/{externalDeviceId} Version: 2.0 Security: BearerAuth ## Path parameters: - `externalSystemId` (string, required) Identifier for the source system we use to uniquely recognize the shipper/carrier - `externalDeviceId` (string, required) The identifier you use to recognize the device/vehicle in your source system ## Response 200 fields (application/json): - `deviceUUID` (string) This is the Simacan generated universally unique identifier Example: "b9ed42ff-3ffb-4418-9498-5eb0ba308899" - `externalSystemId` (string) Identifier for the source system we use to uniquely recognize the shipper/carrier Example: "fms-janszoon_transport" - `externalDeviceId` (string) The identifier you use to recognize the device/vehicle in your source system Example: "1234" - `customerDeviceId` (string) - `active` (boolean) Indicates whether the current tracking device is active or not Example: "true" - `relation` (string) Example: "janszoon_transport" - `carrierCode` (string) This code is used by the Simacan Control Tower to match a Tracking Device with a carrier - `creationDate` (string) Timestamp when record was created Example: "2020-06-07T09:17:43Z" - `lastUpdatedDate` (string) Timestamp when record was updated - `licensePlate` (string) License Plate linked with the current tracking device Example: "AB-12-CD" - `driverName` (string) Driver name linked with the current tracking device - `attributes` (object) Any freeform additional attributes Example: {"carBrand":"Mercedes"}